git@vger.kernel.org mailing list mirror (one of many)
 help / color / mirror / code / Atom feed
From: Jon Seymour <jon.seymour@gmail.com>
To: git@vger.kernel.org
Cc: gitster@pobox.com, Jon Seymour <jon.seymour@gmail.com>
Subject: [PATCH 2/2] bisect: replace "; then" with "\n<tab>*then"
Date: Fri,  5 Aug 2011 21:31:31 +1000	[thread overview]
Message-ID: <1312543891-11079-3-git-send-email-jon.seymour@gmail.com> (raw)
In-Reply-To: <1312543891-11079-1-git-send-email-jon.seymour@gmail.com>

Signed-off-by: Jon Seymour <jon.seymour@gmail.com>
---
 git-bisect.sh |   27 ++++++++++++++++++---------
 1 files changed, 18 insertions(+), 9 deletions(-)

diff --git a/git-bisect.sh b/git-bisect.sh
index f5d9ede..1f3c46d 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -198,7 +198,8 @@ is_expected_rev() {
 
 check_expected_revs() {
 	for _rev in "$@"; do
-		if ! is_expected_rev "$_rev"; then
+		if ! is_expected_rev "$_rev"
+		then
 			rm -f "$GIT_DIR/BISECT_ANCESTORS_OK"
 			rm -f "$GIT_DIR/BISECT_EXPECTED_REV"
 			return
@@ -331,7 +332,8 @@ bisect_visualize() {
 	if test $# = 0
 	then
 		if test -n "${DISPLAY+set}${SESSIONNAME+set}${MSYSTEM+set}${SECURITYSESSIONID+set}" &&
-		   type gitk >/dev/null 2>&1; then
+		   type gitk >/dev/null 2>&1
+		then
 			set gitk
 		else
 			set git log
@@ -400,7 +402,8 @@ bisect_replay () {
 	while read git bisect command rev
 	do
 		test "$git $bisect" = "git bisect" -o "$git" = "git-bisect" || continue
-		if test "$git" = "git-bisect"; then
+		if test "$git" = "git-bisect"
+		then
 			rev="$command"
 			command="$bisect"
 		fi
@@ -428,7 +431,8 @@ bisect_run () {
 		res=$?
 
 		# Check for really bad run error.
-		if [ $res -lt 0 -o $res -ge 128 ]; then
+		if [ $res -lt 0 -o $res -ge 128 ]
+		then
 			(
 				eval_gettext "bisect run failed:
 exit code \$res from '\$command' is < 0 or >= 128" &&
@@ -439,9 +443,11 @@ exit code \$res from '\$command' is < 0 or >= 128" &&
 
 		# Find current state depending on run success or failure.
 		# A special exit code of 125 means cannot test.
-		if [ $res -eq 125 ]; then
+		if [ $res -eq 125 ]
+		then
 			state='skip'
-		elif [ $res -gt 0 ]; then
+		elif [ $res -gt 0 ]
+		then
 			state='bad'
 		else
 			state='good'
@@ -454,7 +460,8 @@ exit code \$res from '\$command' is < 0 or >= 128" &&
 		cat "$GIT_DIR/BISECT_RUN"
 
 		if sane_grep "first bad commit could be any of" "$GIT_DIR/BISECT_RUN" \
-			> /dev/null; then
+			> /dev/null
+		then
 			(
 				gettext "bisect run cannot continue any more" &&
 				echo
@@ -462,7 +469,8 @@ exit code \$res from '\$command' is < 0 or >= 128" &&
 			exit $res
 		fi
 
-		if [ $res -ne 0 ]; then
+		if [ $res -ne 0 ]
+		then
 			(
 				eval_gettext "bisect run failed:
 'bisect_state \$state' exited with error code \$res" &&
@@ -471,7 +479,8 @@ exit code \$res from '\$command' is < 0 or >= 128" &&
 			exit $res
 		fi
 
-		if sane_grep "is the first bad commit" "$GIT_DIR/BISECT_RUN" > /dev/null; then
+		if sane_grep "is the first bad commit" "$GIT_DIR/BISECT_RUN" > /dev/null
+		then
 			gettext "bisect run success"; echo
 			exit 0;
 		fi
-- 
1.7.6.354.g7f57d

  parent reply	other threads:[~2011-08-05 11:32 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-08-05 11:31 [PATCH 0/2] bisect: cleanup formatting of git-bisect.sh Jon Seymour
2011-08-05 11:31 ` [PATCH 1/2] bisect: cleanup whitespace errors in git-bisect.sh Jon Seymour
2011-08-05 11:31 ` Jon Seymour [this message]
2011-08-05 17:09 ` [PATCH 0/2] bisect: cleanup formatting of git-bisect.sh Junio C Hamano
2011-08-06  3:40   ` Jon Seymour

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: http://vger.kernel.org/majordomo-info.html

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1312543891-11079-3-git-send-email-jon.seymour@gmail.com \
    --to=jon.seymour@gmail.com \
    --cc=git@vger.kernel.org \
    --cc=gitster@pobox.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://80x24.org/mirrors/git.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).